# salt.modules.testinframod

This module exposes the functionality of the TestInfra library for use with SaltStack in order to verify the state of your minions. In order to allow for the addition of new resource types in TestInfra this module dynamically generates wrappers for the various resources by iterating over the values in the `__all__` variable exposed by the testinfra.modules namespace.

exception salt.modules.testinframod.InvalidArgumentError

salt.modules.testinframod.camel_to_snake_case(camel_input)

  Converts camelCase (or CamelCase) to snake_case. From https://codereview.stackexchange.com/questions/185966/functions-to-convert-camelcase-strings-to-snake-case

  Parameters:

    camel_input (str) -- The camelcase or CamelCase string to convert to snake_case

  :return str

salt.modules.testinframod.snake_to_camel_case(snake_input, uppercamel=False)

  Converts snake_case to camelCase (or CamelCase if uppercamel is `True`). Inspired by https://codereview.stackexchange.com/questions/85311/transform-snake-case-to-camelcase

  Parameters:

    - snake_input (str) -- The input snake_case string to convert to camelCase

    - uppercamel (bool) -- Whether or not to convert to CamelCase instead

  :return str